--/callluafunc </F>User_PlayPlot</N>301
--addScene
--addcustom
CppScriptMgr:SetViewPosByCell(40,40)
local npc_0=CppScriptMgr:AddSimplePlayer(1057287,38,38,"QueenMotherOfTheWest",0,0)
npc_0:AddEffect("zero8160",33)
npc_0:SetDir(7)
npc_0:SetZoomPercent(150)
local npc_1=CppScriptMgr:AddSimplePlayer(1050127,36,45,"",0,0)
npc_1:AddEffect("zero8159",33)
npc_1:SetDir(7)
npc_1:SetZoomPercent(150)
local npc_2=CppScriptMgr:AddSimplePlayer(1050127,46,37,"",0,0)
npc_2:AddEffect("zero8159",33)
npc_2:SetDir(7)
npc_2:SetZoomPercent(150)
local npc_3=CppScriptMgr:AddSimplePlayer(1055833,46,46,"HouYi",0,0)
npc_3:SetZoomPercent(150)
npc_3:SetDir(3)
CppScriptMgr:WaitMilSec(500)
npc_3:SetAction(200)
npc_3:Say("We are unable to be together! Please help us, Queen Mother!",1000)
CppScriptMgr:NpcCallOut("We are unable to be together! Please help us, Queen Mother!",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQHy",150,430,"HouYi",250,655)
CppScriptMgr:WaitMilSec(2000)
npc_1:SetAction(101)
npc_2:SetAction(101)
npc_0:SetAction(101)
CppScriptMgr:NpcCallOut("I am kind of responsible for this matter, so let me do you a favor!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQWm",150,430,"QueenMotherOfTheWest",250,655)
npc_0:Say("I am kind of responsible for this matter, so let me do you a favor!",1000)
CppScriptMgr:WaitMilSec(2000)
npc_3:SetAction(200)
npc_3:Say("Thank you!",1000)
CppScriptMgr:NpcCallOut("Thank you!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQHy",150,430,"HouYi",250,655)
CppScriptMgr:WaitMilSec(1500)
npc_0:SetAction(101)
CppScriptMgr:NpcCallOut("You need to collect Beast Cores, Celestial Twigs and Hare Herbs to refine Immortality Pills, which will help you meet Chang`e.",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQWm",150,430,"QueenMotherOfTheWest",250,655)
npc_0:Say("You need to collect Beast Cores, Celestial Twigs and Hare Herbs to refine Immortality Pills, which will help you meet Chang`e.",1000)
CppScriptMgr:WaitMilSec(2000)
npc_1:SetAction(101)
npc_2:SetAction(101)
npc_3:SetAction(200)
CppScriptMgr:NpcCallOut("I see!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQHy",150,430,"HouYi",250,655)
npc_3:Say("I see!",1000)
CppScriptMgr:WaitMilSec(2000)
